When new users are created based on REMOTE_USER authentication, their roles should be

populated as well

12/17/2013 07:52 AM - Jan Pazdziora

Status: Closed   

Priority: Normal   

Assignee: Jan Pazdziora   

Category: Authentication   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The issue http://projects.theforeman.org/issues/3312 made the REMOTE_USER authentication usable for other authentication

mechanisms than just HTTP Basic. When the user is populated in Foreman database upon successful logon, the issue 

http://projects.theforeman.org/issues/3528 made it possible to populate their name and email address based on information in the

external identity provider like FreeIPA. The user no longer needs to be redirected to add their email address manually. These two

issues have been implemented (as of Foreman 1.4) and are documented at 

http://projects.theforeman.org/projects/foreman/wiki/Foreman_and_mod_auth_kerb and in Foreman manual 

http://theforeman.org/manuals/1.4/index.html#5.7SPNEGOauthentication.

Beyond name and email address, another useful information that Foreman can obtain from external identity provider like FreeIPA is

group membership which can be used to drive roles for Foreman users.

Based on http://www.freeipa.org/page/Environment_Variables#Proposed_Additional_Variables, we propose to populate group

membership of the new user based on the REMOTE_USER_GROUP_N and REMOTE_USER_GROUP_# environment variables.

The current pull request for this feature is https://github.com/theforeman/foreman/pull/1328.

Followup feature is http://projects.theforeman.org/issues/5242 with pull request https://github.com/theforeman/foreman/pull/1391

which will make both user attributes and the group membership up-to-date after every external logon.

Related issues:

Related to Foreman - Feature #813: Support AD group membership for authorizat... Closed 03/31/2011

Blocks Foreman - Tracker #5031: External authentication support New 04/02/2014

Blocked by Foreman - Feature #5241: Add support for external group mapping Closed 04/18/2014

Blocks Foreman - Feature #5242: Keeping user's attributes and group membershi... Closed 04/18/2014

Copied from Foreman - Feature #3528: When new users are created based on REMO... Closed 10/28/2013

Associated revisions

Revision fdc476db - 05/06/2014 10:25 AM - Jan Pazdziora

fixes #3892 - process REMOTE_USER_GROUP_N and REMOTE_USER_GROUP_#, add user to groups based on external user groups.

History

#1 - 12/17/2013 07:52 AM - Jan Pazdziora

- Copied from Feature #3528: When new users are created based on REMOTE_USER authentication, their attributes should be populated as well

added

#2 - 03/11/2014 11:37 AM - Dominic Cleal

- Target version set to 1.9.0

#3 - 03/11/2014 11:38 AM - Dominic Cleal

- Related to Feature #813: Support AD group membership for authorization and authentication added

#4 - 03/26/2014 01:20 PM - Daniel Lobato Garcia
- Assignee set to Daniel Lobato Garcia

#5 - 03/26/2014 01:26 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#6 - 03/26/2014 04:45 PM - Jan Pazdziora

Filed pull request https://github.com/theforeman/foreman/pull/1328 which will process output of mod_lookup_identity's

LookupUserGroupsIter REMOTE_USER_GROUP

 configuration.

#7 - 03/26/2014 05:52 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee changed from Daniel Lobato Garcia to Jan Pazdziora

#8 - 04/02/2014 03:10 PM - Jan Pazdziora

- Description updated

#9 - 04/02/2014 03:41 PM - Dominic Cleal

- Blocks Tracker #5031: External authentication support added

#10 - 04/18/2014 08:31 AM - Jan Pazdziora

- Blocked by Feature #5241: Add support for external group mapping added

#11 - 04/18/2014 11:45 AM - Jan Pazdziora

- Description updated

#12 - 04/24/2014 10:21 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#13 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.3 to 1.8.4

#14 - 04/24/2014 10:24 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#15 - 05/05/2014 08:08 AM - Jan Pazdziora

- Blocks Feature #5242: Keeping user's attributes and group membership up-to-date even during subsequent logons added

#16 - 05/06/2014 10:30 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#17 - 05/06/2014 10:31 AM - Jan Pazdziora

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset fdc476db9c045ffd6148473e676f77eebae4207e.
